package examenjava_2012_2013.gestionhucha;

import java.util.Arrays;

/**
 *
 * @author Adrian
 */
public class Hucha {
    int [] cantidad_tipo_moneda;
    int [] tipo_moneda;
    
    public Hucha(int [] ctm, int [] tm)
    {
        this.cantidad_tipo_moneda = ctm;
        this.tipo_moneda=tm;
    }
    
    public int total()
    {
       int suma = 0;
      
       for(int i=0; i<this.tipo_moneda.length; i++)
       {
           suma+=this.cantidad_tipo_moneda[i]*this.tipo_moneda[i];
       }
       
       return suma;
    }
    
    public boolean ingresar(int tipo, int cantidad)
    {
        int variable = existeTipo(tipo);
       
        if(variable >= 0)
        {
            this.cantidad_tipo_moneda[variable]+=cantidad;
            return true;
        }
        return false;
    }
    
    public int existeTipo(int tipo)
    {
        return Arrays.binarySearch(Arrays.copyOf(this.tipo_moneda,this.tipo_moneda.length),tipo);
        //Métodos binatySearch() y copyOf de la Collection Arrays 
    }
    
    public void mostrar()
    {
        for(int i=0; i<this.cantidad_tipo_moneda.length;i++)
        {
             System.out.println(this.cantidad_tipo_moneda[i]+"-"+this.tipo_moneda[i]);
        }
        
    }
}
